Bug 473079 - failed to set xfermode (err_mask=0x4)
failed to set xfermode (err_mask=0x4)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 09:31 EST by Tait Clarridge
Modified: 2009-12-18 01:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:57:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tait Clarridge 2008-11-26 09:31:34 EST
Description of problem: 

When booting my laptop with virtualization enabled in BIOS I get the following message appearing three times: "ata2.00: failed to set xfermode (err_mask=0x4)" and it results in me not having a DVD drive.

The laptop is a Toshiba Tecra A10. Without virtualization enabled in BIOS everything boots fine and I get my DVD drive available.

I have tried the following:
a) On searching about the issue I saw that adding irqpoll to the kernel boot args might help, but it doesnt'.
b) Tried enabling and disabling other items in the BIOS to see if it clears anything up

Other things I have come across that mailing lists have suggested:
a) Move DVD drive to different SATA port (I cannot do this as it is a laptop and I don't want to void warranty).


Version-Release number of selected component (if applicable):


How reproducible: Every time I reboot with virtualization in BIOS enabled


Steps to Reproduce:
1. Turn on computer with virtualization enabled in BIOS
2.
3.
  
Actual results:

ata2.00: failed to set xfermode (err_mask=0x4) and no working DVD drive


Expected results:

A working DVD drive!


Additional info:

dmesg output up to error:

Initializing cgroup subsys cpuset
Initializing cgroup subsys cpu
Linux version 2.6.27.5-117.fc10.x86_64 (mockbuild@x86-1.fedora.phx.redhat.com) (gcc version 4.3.2 20081105 (Red Hat 4.3.2-7) (GCC) ) #1 SMP Tue Nov 18 11:58:53 EST 2008
Command line: ro root=UUID=e0ee7590-230c-4e63-9390-f550ab485d75 rhgb quiet
KERNEL supported cpus:
  Intel GenuineIntel
  AMD AuthenticAMD
  Centaur CentaurHauls
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009bc00 (usable)
 BIOS-e820: 000000000009bc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e8000 - 00000000000eee00 (reserved)
 BIOS-e820: 00000000000eee00 - 00000000000ef000 (ACPI NVS)
 BIOS-e820: 00000000000ef000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 00000000b7790000 (usable)
 BIOS-e820: 00000000b7790000 - 00000000b77a0000 (reserved)
 BIOS-e820: 00000000b77a0000 - 00000000b77a2000 (ACPI NVS)
 BIOS-e820: 00000000b77b0000 - 00000000c0000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fec28000 (reserved)
 BIOS-e820: 00000000fed00000 - 00000000fed00500 (reserved)
 BIOS-e820: 00000000fed10000 - 00000000fed1a000 (reserved)
 BIOS-e820: 00000000fed1c000 - 00000000fed94000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ffa00000 - 00000000ffc00000 (reserved)
 BIOS-e820: 00000000ffd00000 - 0000000100000000 (reserved)
 BIOS-e820: 0000000100000000 - 0000000140000000 (usable)
last_pfn = 0x140000 max_arch_pfn = 0x3ffffffff
x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
last_pfn = 0xb7790 max_arch_pfn = 0x3ffffffff
init_memory_mapping
 0000000000 - 00b7600000 page 2M
 00b7600000 - 00b7790000 page 4k
kernel direct mapping tables up to b7790000 @ 8000-d000
last_map_addr: b7790000 end: b7790000
init_memory_mapping
 0100000000 - 0140000000 page 2M
kernel direct mapping tables up to 140000000 @ b000-11000
last_map_addr: 140000000 end: 140000000
RAMDISK: 37cb1000 - 37fefd05
DMI 2.5 present.
ACPI: RSDP 000F00A0, 0014 (r0 TOSHIB)
ACPI: RSDT B7790000, 0054 (r1 TOSHIB A0064    20080603 TASM  4010000)
ACPI: FACP B7790084, 0084 (r2 TOSHIB A0064    20080603 TASM  4010000)
ACPI: DSDT B7790108, 6D32 (r2 TOSHIB A0064    20080603 MSFT  3000000)
ACPI: FACS 000EEE00, 0040
ACPI: SSDT B7796E3A, 0506 (r2 TOSHIB A0064    20070720 MSFT  3000000)
ACPI: BOOT B779005C, 0028 (r1 TOSHIB A0064    20080603 TASM  4010000)
ACPI: APIC B7797914, 0068 (r1 TOSHIB A0064    20080603 TASM  4010000)
ACPI: MCFG B779797C, 003C (r1 TOSHIB A0064    20080603 TASM  4010000)
ACPI: HPET B77979B8, 0038 (r1 TOSHIB A0064    20080603 TASM  4010000)
ACPI: TCPA B7797CBD, 0032 (r2 TOSHIB A0064    20080603 TASM  4010000)
ACPI: SLIC B7797CEF, 0176 (r1 TOSHIB A0064    20080603 TASM  4010000)
ACPI: DMAR B7797A99, 00F8 (r1 TOSHIB A0064    20080603 TASM  4010000)
ACPI: SSDT B7798904, 01A3 (r2 TOSHIB A0064    20080317 MSFT  3000000)
ACPI: SSDT B7797E65, 0076 (r2 TOSHIB A0064    20080310 MSFT  3000000)
ACPI: SSDT B7797EDB, 0A29 (r2 TOSHIB A0064    20080411 MSFT  3000000)
ACPI: DMI detected: Toshiba
No NUMA configuration found
Faking a node at 0000000000000000-0000000140000000
Bootmem setup node 0 0000000000000000-0000000140000000
  NODE_DATA [000000000000c000 - 0000000000020fff]
  bootmap [0000000000021000 -  0000000000048fff] pages 28
(7 early reservations) ==> bootmem [0000000000 - 0140000000]
  #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]
  #1 [0000006000 - 0000008000]       TRAMPOLINE ==> [0000006000 - 0000008000]
  #2 [0000200000 - 0000a2b20c]    TEXT DATA BSS ==> [0000200000 - 0000a2b20c]
  #3 [0037cb1000 - 0037fefd05]          RAMDISK ==> [0037cb1000 - 0037fefd05]
  #4 [000009bc00 - 0000100000]    BIOS reserved ==> [000009bc00 - 0000100000]
  #5 [0000008000 - 000000b000]          PGTABLE ==> [0000008000 - 000000b000]
  #6 [000000b000 - 000000c000]          PGTABLE ==> [000000b000 - 000000c000]
 [ffffe20000000000-ffffe200045fffff] PMD -> [ffff880028200000-ffff88002b9fffff] on node 0
Zone PFN ranges:
  DMA      0x00000000 -> 0x00001000
  DMA32    0x00001000 -> 0x00100000
  Normal   0x00100000 -> 0x00140000
Movable zone start PFN for each node
early_node_map[3] active PFN ranges
    0: 0x00000000 -> 0x0000009b
    0: 0x00000100 -> 0x000b7790
    0: 0x00100000 -> 0x00140000
On node 0 totalpages: 1013547
  DMA zone: 1741 pages, LIFO batch:0
  DMA32 zone: 733128 pages, LIFO batch:31
  Normal zone: 258560 pages, LIFO batch:31
ACPI: PM-Timer IO Port: 0xd808
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 1, version 0, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Setting APIC routing to flat
ACPI: HPET id: 0x8086a301 base: 0xfed00000
Using ACPI (MADT) for SMP configuration information
SMP: Allowing 2 CPUs, 0 hotplug CPUs
PM: Registered nosave memory: 000000000009b000 - 000000000009c000
PM: Registered nosave memory: 000000000009c000 - 00000000000a0000
PM: Registered nosave memory: 00000000000a0000 - 00000000000e8000
PM: Registered nosave memory: 00000000000e8000 - 00000000000ee000
PM: Registered nosave memory: 00000000000ee000 - 00000000000ef000
PM: Registered nosave memory: 00000000000ef000 - 0000000000100000
PM: Registered nosave memory: 00000000b7790000 - 00000000b77a0000
PM: Registered nosave memory: 00000000b77a0000 - 00000000b77a2000
PM: Registered nosave memory: 00000000b77a2000 - 00000000b77b0000
PM: Registered nosave memory: 00000000b77b0000 - 00000000c0000000
PM: Registered nosave memory: 00000000c0000000 - 00000000fec00000
PM: Registered nosave memory: 00000000fec00000 - 00000000fec28000
PM: Registered nosave memory: 00000000fec28000 - 00000000fed00000
PM: Registered nosave memory: 00000000fed00000 - 00000000fed10000
PM: Registered nosave memory: 00000000fed10000 - 00000000fed1a000
PM: Registered nosave memory: 00000000fed1a000 - 00000000fed1c000
PM: Registered nosave memory: 00000000fed1c000 - 00000000fed94000
PM: Registered nosave memory: 00000000fed94000 - 00000000fee00000
PM: Registered nosave memory: 00000000fee00000 - 00000000fee01000
PM: Registered nosave memory: 00000000fee01000 - 00000000ffa00000
PM: Registered nosave memory: 00000000ffa00000 - 00000000ffc00000
PM: Registered nosave memory: 00000000ffc00000 - 00000000ffd00000
PM: Registered nosave memory: 00000000ffd00000 - 0000000100000000
Allocating PCI resources starting at c4000000 (gap: c0000000:3ec00000)
PERCPU: Allocating 65184 bytes of per cpu data
NR_CPUS: 64, nr_cpu_ids: 2, nr_node_ids 1
Built 1 zonelists in Node order, mobility grouping on.  Total pages: 993429
Policy zone: Normal
Kernel command line: ro root=UUID=e0ee7590-230c-4e63-9390-f550ab485d75 rhgb quiet
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 32768 bytes)
TSC: Unable to calibrate against PIT
TSC: using PMTIMER reference calibration
Detected 2260.975 MHz processor.
Console: colour VGA+ 80x25
console [tty0] enabled
Checking aperture...
No AGP bridge found
Calgary: detecting Calgary via BIOS EBDA area
Calgary: Unable to locate Rio Grande table in EBDA - bailing!
PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
Placing software IO TLB between 0x20000000 - 0x24000000
Memory: 3918688k/5242880k available (3300k kernel code, 135500k reserved, 1838k data, 1288k init)
CPA: page pool initialized 1 of 1 pages preallocated
SLUB: Genslabs=13, HWalign=64, Order=0-3, MinObjects=0, CPUs=2, Nodes=1
hpet clockevent registered
Calibrating delay loop (skipped), value calculated using timer frequency.. 4521.95 BogoMIPS (lpj=2260975)
Security Framework initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
Dentry cache hash table entries: 524288 (order: 10, 4194304 bytes)
Inode-cache hash table entries: 262144 (order: 9, 2097152 bytes)
Mount-cache hash table entries: 256
Initializing cgroup subsys ns
Initializing cgroup subsys cpuacct
Initializing cgroup subsys devices
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 3072K
CPU 0/0 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
CPU0: Thermal monitoring handled by SMI
using mwait in idle threads.
ACPI: Core revision 20080609
..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
CPU0: Intel(R) Core(TM)2 Duo CPU     P8400  @ 2.26GHz stepping 06
Using local APIC timer interrupts.
APIC timer calibration result 16624845
Detected 16.624 MHz APIC timer.
Booting processor 1/1 ip 6000
Initializing CPU#1
Calibrating delay using timer specific routine.. 4521.76 BogoMIPS (lpj=2260882)
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 3072K
CPU 1/1 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
CPU1: Thermal monitoring enabled (TM2)
x86 PAT enabled: cpu 1, old 0x7040600070406, new 0x7010600070106
CPU1: Intel(R) Core(TM)2 Duo CPU     P8400  @ 2.26GHz stepping 06
checking TSC synchronization [CPU#0 -> CPU#1]: passed.
Brought up 2 CPUs
Total of 2 processors activated (9043.71 BogoMIPS).
sizeof(vma)=176 bytes
sizeof(page)=56 bytes
sizeof(inode)=560 bytes
sizeof(dentry)=208 bytes
sizeof(ext3inode)=760 bytes
sizeof(buffer_head)=104 bytes
sizeof(skbuff)=232 bytes
sizeof(task_struct)=5904 bytes
CPU0 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 0 1
  domain 1: span 0-1 level NODE
   groups: 0-1
CPU1 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 1 0
  domain 1: span 0-1 level NODE
   groups: 0-1
net_namespace: 1552 bytes
Booting paravirtualized kernel on bare hardware
Time: 13:57:13  Date: 11/26/08
NET: Registered protocol family 16
ACPI: ACPI Dock Station Driver
ACPI: bus type pci registered
PCI: MCFG configuration 0: base f0000000 segment 0 buses 0 - 63
PCI: Not using MMCONFIG.
PCI: Using configuration type 1 for base access
ACPI: EC: Look up EC in DSDT
ACPI Warning (dsobject-0501): Package List length (C) larger than NumElements count (1), truncated
 [20080609]
ACPI: Interpreter enabled
ACPI: (supports S0 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
PCI: MCFG configuration 0: base f0000000 segment 0 buses 0 - 63
PCI: MCFG area at f0000000 reserved in ACPI motherboard resources
PCI: Using MMCONFIG at f0000000 - f3ffffff
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: 0000:00:02.0 reg 10 64bit mmio: [ff400000, ff7fffff]
PCI: 0000:00:02.0 reg 18 64bit mmio: [e0000000, efffffff]
PCI: 0000:00:02.0 reg 20 io port: [cff8, cfff]
PCI: 0000:00:02.1 reg 10 64bit mmio: [ffc00000, ffcfffff]
PCI: 0000:00:19.0 reg 10 32bit mmio: [ff9e0000, ff9fffff]
PCI: 0000:00:19.0 reg 14 32bit mmio: [ff9df000, ff9dffff]
PCI: 0000:00:19.0 reg 18 io port: [cf80, cf9f]
pci 0000:00:19.0: PME# supported from D0 D3hot D3cold
pci 0000:00:19.0: PME# disabled
PCI: 0000:00:1a.0 reg 20 io port: [cf60, cf7f]
PCI: 0000:00:1a.1 reg 20 io port: [cf40, cf5f]
PCI: 0000:00:1a.2 reg 20 io port: [cf20, cf3f]
PCI: 0000:00:1a.7 reg 10 32bit mmio: [ff9dec00, ff9defff]
pci 0000:00:1a.7: PME# supported from D0 D3hot D3cold
pci 0000:00:1a.7: PME# disabled
PCI: 0000:00:1b.0 reg 10 64bit mmio: [ff9d8000, ff9dbfff]
pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
pci 0000:00:1b.0: PME# disabled
pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
pci 0000:00:1c.0: PME# disabled
pci 0000:00:1c.1: PME# supported from D0 D3hot D3cold
pci 0000:00:1c.1: PME# disabled
pci 0000:00:1c.2: PME# supported from D0 D3hot D3cold
pci 0000:00:1c.2: PME# disabled
PCI: 0000:00:1d.0 reg 20 io port: [8fe0, 8fff]
PCI: 0000:00:1d.1 reg 20 io port: [8f80, 8f9f]
PCI: 0000:00:1d.2 reg 20 io port: [8f60, 8f7f]
PCI: 0000:00:1d.7 reg 10 32bit mmio: [ff9de800, ff9debff]
pci 0000:00:1d.7: PME# supported from D0 D3hot D3cold
pci 0000:00:1d.7: PME# disabled
PCI: 0000:00:1f.2 reg 10 io port: [8f58, 8f5f]
PCI: 0000:00:1f.2 reg 14 io port: [8f54, 8f57]
PCI: 0000:00:1f.2 reg 18 io port: [8f48, 8f4f]
PCI: 0000:00:1f.2 reg 1c io port: [8f44, 8f47]
PCI: 0000:00:1f.2 reg 20 io port: [8f20, 8f3f]
PCI: 0000:00:1f.2 reg 24 32bit mmio: [ff9de000, ff9de7ff]
pci 0000:00:1f.2: PME# supported from D3hot
pci 0000:00:1f.2: PME# disabled
PCI: 0000:01:00.0 reg 10 64bit mmio: [ff8fe000, ff8fffff]
pci 0000:01:00.0: PME# supported from D0 D3hot D3cold
pci 0000:01:00.0: PME# disabled
PCI: bridge 0000:00:1c.0 io port: [b000, bfff]
PCI: bridge 0000:00:1c.0 32bit mmio: [ff800000, ff8fffff]
PCI: bridge 0000:00:1c.0 64bit mmio pref: [fef00000, ff0fffff]
PCI: bridge 0000:00:1c.1 io port: [a000, afff]
PCI: bridge 0000:00:1c.1 32bit mmio: [fcc00000, febfffff]
PCI: bridge 0000:00:1c.1 64bit mmio pref: [fac00000, fcbfffff]
PCI: bridge 0000:00:1c.2 io port: [9000, 9fff]
PCI: bridge 0000:00:1c.2 32bit mmio: [ff200000, ff3fffff]
PCI: bridge 0000:00:1c.2 64bit mmio pref: [faa00000, fabfffff]
PCI: 0000:05:0b.0 reg 10 32bit mmio: [0, fff]
pci 0000:05:0b.0: supports D1
pci 0000:05:0b.0: supports D2
pci 0000:05:0b.0: PME# supported from D0 D1 D2 D3hot
pci 0000:05:0b.0: PME# disabled
PCI: 0000:05:0b.1 reg 10 32bit mmio: [ff1ff800, ff1fffff]
pci 0000:05:0b.1: PME# supported from D0 D3hot D3cold
pci 0000:05:0b.1: PME# disabled
PCI: 0000:05:0b.2 reg 10 32bit mmio: [ff1ff700, ff1ff7ff]
pci 0000:05:0b.2: supports D1
pci 0000:05:0b.2: supports D2
pci 0000:05:0b.2: PME# supported from D0 D1 D2 D3hot D3cold
pci 0000:05:0b.2: PME# disabled
PCI: 0000:05:0b.3 reg 10 32bit mmio: [ff1ff600, ff1ff6ff]
pci 0000:05:0b.3: supports D1
pci 0000:05:0b.3: supports D2
pci 0000:05:0b.3: PME# supported from D0 D1 D2 D3hot D3cold
pci 0000:05:0b.3: PME# disabled
PCI: 0000:05:0b.4 reg 10 32bit mmio: [ff1ff500, ff1ff5ff]
pci 0000:05:0b.4: supports D1
pci 0000:05:0b.4: supports D2
pci 0000:05:0b.4: PME# supported from D0 D1 D2 D3hot D3cold
pci 0000:05:0b.4: PME# disabled
PCI: 0000:05:0b.5 reg 10 32bit mmio: [ff1ff400, ff1ff4ff]
pci 0000:05:0b.5: supports D1
pci 0000:05:0b.5: supports D2
pci 0000:05:0b.5: PME# supported from D0 D1 D2 D3hot D3cold
pci 0000:05:0b.5: PME# disabled
pci 0000:00:1e.0: transparent bridge
PCI: bridge 0000:00:1e.0 32bit mmio: [ff100000, ff1fffff]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIB._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.MPEX._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.EXCB._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEX3._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs *10)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 *11)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 *11)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 *11)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 *11)
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 *11)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 *11)
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 *11)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 13 devices
ACPI: ACPI bus type pnp unregistered
SCSI subsystem initialized
libata version 3.00 loaded.
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
PCI-GART: No AMD northbridge found.
hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0, 0
hpet0: 4 64-bit timers, 14318180 Hz
tracer: 1286 pages allocated for 65536 entries of 80 bytes
   actual entries 65586
ACPI: RTC can wake from S4
system 00:00: iomem range 0x0-0x9ffff could not be reserved
system 00:00: iomem range 0xe8000-0xfffff could not be reserved
system 00:00: iomem range 0x100000-0xb778ffff could not be reserved
system 00:00: iomem range 0xb7790000-0xb779ffff could not be reserved
system 00:00: iomem range 0xb77a0000-0xb77a1fff could not be reserved
system 00:00: iomem range 0xb77b0000-0xb7afffff could not be reserved
system 00:00: iomem range 0xb7b00000-0xb7bfffff could not be reserved
system 00:00: iomem range 0xb7c00000-0xbfffffff could not be reserved
system 00:00: iomem range 0xfec00000-0xfec27fff could not be reserved
system 00:00: iomem range 0xfed00400-0xfed004ff could not be reserved
system 00:00: iomem range 0xfed10000-0xfed19fff could not be reserved
system 00:00: iomem range 0xfed1c000-0xfed1ffff could not be reserved
system 00:00: iomem range 0xfed20000-0xfed3ffff could not be reserved
system 00:00: iomem range 0xfed45000-0xfed8ffff could not be reserved
system 00:00: iomem range 0xfed90000-0xfed93fff could not be reserved
system 00:00: iomem range 0xfee00000-0xfee00fff could not be reserved
system 00:00: iomem range 0xffa00000-0xffbfffff could not be reserved
system 00:00: iomem range 0xffd00000-0xffffffff could not be reserved
system 00:00: iomem range 0x100000000-0x13fffffff could not be reserved
system 00:01: iomem range 0xf0000000-0xf3ffffff has been reserved
system 00:09: ioport range 0x1e0-0x1ef has been reserved
system 00:09: ioport range 0x480-0x48f has been reserved
system 00:09: ioport range 0xe000-0xe07f has been reserved
system 00:09: ioport range 0xe080-0xe0ff has been reserved
system 00:09: ioport range 0xe400-0xe47f has been reserved
system 00:09: ioport range 0xe480-0xe4ff has been reserved
system 00:09: ioport range 0xe800-0xe87f has been reserved
system 00:09: ioport range 0xe880-0xe8ff has been reserved
system 00:09: ioport range 0xec00-0xec7f has been reserved
system 00:09: ioport range 0xec80-0xecff has been reserved
system 00:09: ioport range 0xd800-0xd87f has been reserved
system 00:09: ioport range 0xd880-0xd89f has been reserved
system 00:09: ioport range 0xee80-0xeeff has been reserved
system 00:09: ioport range 0x690-0x6ff has been reserved
system 00:09: ioport range 0x4d0-0x4d1 has been reserved
pci 0000:00:1c.0: PCI bridge, secondary bus 0000:01
pci 0000:00:1c.0:   IO window: 0xb000-0xbfff
pci 0000:00:1c.0:   MEM window: 0xff800000-0xff8fffff
pci 0000:00:1c.0:   PREFETCH window: 0x000000fef00000-0x000000ff0fffff
pci 0000:00:1c.1: PCI bridge, secondary bus 0000:02
pci 0000:00:1c.1:   IO window: 0xa000-0xafff
pci 0000:00:1c.1:   MEM window: 0xfcc00000-0xfebfffff
pci 0000:00:1c.1:   PREFETCH window: 0x000000fac00000-0x000000fcbfffff
pci 0000:00:1c.2: PCI bridge, secondary bus 0000:04
pci 0000:00:1c.2:   IO window: 0x9000-0x9fff
pci 0000:00:1c.2:   MEM window: 0xff200000-0xff3fffff
pci 0000:00:1c.2:   PREFETCH window: 0x000000faa00000-0x000000fabfffff
pci 0000:05:0b.0: CardBus bridge, secondary bus 0000:06
pci 0000:05:0b.0:   IO window: 0x001000-0x0010ff
pci 0000:05:0b.0:   IO window: 0x001400-0x0014ff
pci 0000:05:0b.0:   PREFETCH window: 0xc4000000-0xc7ffffff
pci 0000:05:0b.0:   MEM window: 0xc8000000-0xcbffffff
pci 0000:00:1e.0: PCI bridge, secondary bus 0000:05
pci 0000:00:1e.0:   IO window: 0x1000-0x1fff
pci 0000:00:1e.0:   MEM window: 0xff100000-0xff1fffff
pci 0000:00:1e.0:   PREFETCH window: 0x000000c4000000-0x000000c7ffffff
pci 0000:00:1c.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
pci 0000:00:1c.0: setting latency timer to 64
pci 0000:00:1c.1: PCI INT B -> GSI 16 (level, low) -> IRQ 16
pci 0000:00:1c.1: setting latency timer to 64
pci 0000:00:1c.2: PCI INT C -> GSI 18 (level, low) -> IRQ 18
pci 0000:00:1c.2: setting latency timer to 64
pci 0000:00:1e.0: setting latency timer to 64
pci 0000:05:0b.0: enabling device (0000 -> 0003)
pci 0000:05:0b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
bus: 00 index 0 io port: [0, ffff]
bus: 00 index 1 mmio: [0, ffffffffffffffff]
bus: 01 index 0 io port: [b000, bfff]
bus: 01 index 1 mmio: [ff800000, ff8fffff]
bus: 01 index 2 mmio: [fef00000, ff0fffff]
bus: 01 index 3 mmio: [0, 0]
bus: 02 index 0 io port: [a000, afff]
bus: 02 index 1 mmio: [fcc00000, febfffff]
bus: 02 index 2 mmio: [fac00000, fcbfffff]
bus: 02 index 3 mmio: [0, 0]
bus: 04 index 0 io port: [9000, 9fff]
bus: 04 index 1 mmio: [ff200000, ff3fffff]
bus: 04 index 2 mmio: [faa00000, fabfffff]
bus: 04 index 3 mmio: [0, 0]
bus: 05 index 0 io port: [1000, 1fff]
bus: 05 index 1 mmio: [ff100000, ff1fffff]
bus: 05 index 2 mmio: [c4000000, c7ffffff]
bus: 05 index 3 io port: [0, ffff]
bus: 05 index 4 mmio: [0, ffffffffffffffff]
bus: 06 index 0 io port: [1000, 10ff]
bus: 06 index 1 io port: [1400, 14ff]
bus: 06 index 2 mmio: [c4000000, c7ffffff]
bus: 06 index 3 mmio: [c8000000, cbffffff]
NET: Registered protocol family 2
IP route cache hash table entries: 131072 (order: 8, 1048576 bytes)
TCP established hash table entries: 524288 (order: 11, 8388608 bytes)
TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
TCP: Hash tables configured (established 524288 bind 65536)
TCP reno registered
NET: Registered protocol family 1
checking if image is initramfs... it is
Freeing initrd memory: 3323k freed
Simple Boot Flag at 0x7c set to 0x80
audit: initializing netlink socket (disabled)
type=2000 audit(1227707832.380:1): initialized
HugeTLB registered 2 MB page size, pre-allocated 0 pages
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
msgmni has been set to 7660
SELinux:  Registering netfilter hooks
Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci 0000:00:02.0: Boot video device
pcieport-driver 0000:00:1c.0: setting latency timer to 64
pcieport-driver 0000:00:1c.0: found MSI capability
pci_express 0000:00:1c.0:pcie00: allocate port service
pci_express 0000:00:1c.0:pcie03: allocate port service
pcieport-driver 0000:00:1c.1: setting latency timer to 64
pcieport-driver 0000:00:1c.1: found MSI capability
pci_express 0000:00:1c.1:pcie00: allocate port service
pci_express 0000:00:1c.1:pcie02: allocate port service
pci_express 0000:00:1c.1:pcie03: allocate port service
pcieport-driver 0000:00:1c.2: setting latency timer to 64
pcieport-driver 0000:00:1c.2: found MSI capability
pci_express 0000:00:1c.2:pcie00: allocate port service
pci_express 0000:00:1c.2:pcie03: allocate port service
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
acpiphp_glue: can't get bus number, assuming 0
decode_hpp: Could not get hotplug parameters. Use defaults
decode_hpp: Could not get hotplug parameters. Use defaults
acpiphp: Slot [1] registered
input: Power Button (FF) as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
ACPI: Power Button (FF) [PWRF]
input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1
ACPI: Lid Switch [LID]
input: Power Button (CM) as /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input2
ACPI: Power Button (CM) [PWRB]
ACPI: SSDT B7797686, 00F3 (r2 TOSHIB A0064    20070720 MSFT  3000000)
ACPI: SSDT B77977EF, 006C (r2 TOSHIB A0064    20070720 MSFT  3000000)
Monitor-Mwait will be used to enter C-1 state
Monitor-Mwait will be used to enter C-2 state
Monitor-Mwait will be used to enter C-3 state
ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
processor ACPI0007:00: registered as cooling_device0
ACPI: SSDT B7797779, 0076 (r2 TOSHIB A0064    20060921 MSFT  3000000)
ACPI: SSDT B779785B, 0079 (r2 TOSHIB A0064    20070720 MSFT  3000000)
ACPI: CPU1 (power states: C1[C1] C2[C2] C3[C3])
processor ACPI0007:01: registered as cooling_device1
thermal LNXTHERM:01: registered as thermal_zone0
ACPI: Thermal Zone [THRM] (29 C)
hpet_resources: 0xfed00000 is busy
Non-volatile memory driver v1.2
Linux agpgart interface v0.103
agpgart-intel 0000:00:00.0: Intel Mobile Intel? GM45 Express Chipset
agpgart-intel 0000:00:00.0: detected 131068K stolen memory
agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xe0000000
Serial: 8250/16550 driver4 ports, IRQ sharing enabled
Switched to high resolution mode on CPU 1
Switched to high resolution mode on CPU 0
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:0c: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
brd: module loaded
loop: module loaded
input: Macintosh mouse button emulation as /devices/virtual/input/input3
Driver 'sd' needs updating - please use bus_type methods
Driver 'sr' needs updating - please use bus_type methods
ahci 0000:00:1f.2: version 3.0
ahci 0000:00:1f.2: PCI INT B -> GSI 19 (level, low) -> IRQ 19
ahci 0000:00:1f.2: AHCI 0001.0200 32 slots 4 ports 3 Gbps 0x13 impl SATA mode
ahci 0000:00:1f.2: flags: 64bit ncq sntf pm led clo pio slum part ems 
ahci 0000:00:1f.2: setting latency timer to 64
scsi0 : ahci
scsi1 : ahci
scsi2 : ahci
scsi3 : ahci
scsi4 : ahci
ata1: SATA max UDMA/133 abar m2048@0xff9de000 port 0xff9de100 irq 19
ata2: SATA max UDMA/133 abar m2048@0xff9de000 port 0xff9de180 irq 19
ata3: DUMMY
ata4: DUMMY
ata5: SATA max UDMA/133 abar m2048@0xff9de000 port 0xff9de300 irq 19
ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata1.00: ATA-8: Hitachi HTS543216L9SA00, FB2OC43C, max UDMA/133
ata1.00: 312581808 sectors, multi 0: LBA48 NCQ (depth 31/32)
ata1.00: configured for UDMA/133
ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata2.00: ATAPI: TEAC    DV-W28S-RT, 7.0C, max UDMA/33
ata2.00: qc timeout (cmd 0xef)
ata2.00: failed to set xfermode (err_mask=0x4)
ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata2.00: qc timeout (cmd 0xef)
ata2.00: failed to set xfermode (err_mask=0x4)
ata2: limiting SATA link speed to 1.5 Gbps
ata2.00: limiting speed to UDMA/33:PIO3
ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
ata2.00: qc timeout (cmd 0xef)
ata2.00: failed to set xfermode (err_mask=0x4)
ata2.00: disabled
ata2: hard resetting link
ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
ata2: EH complete

If required I can upload the dmesg with VT disabled in BIOS, but I don't know if that is necessary.
Comment 1 Tait Clarridge 2008-11-28 10:26:51 EST
Ok, so now the drive doesn't come up at all on boot.

I believe this may be due to a BIOS issue that I am attempting to fix. I will post an update when I can confirm it isn't BIOS related.
Comment 2 Tait Clarridge 2008-12-08 13:33:59 EST
As I haven't heard anything back from anyone I hope this bug report isn't lost.

I updated the BIOS and everything went fine, but still no luck with the DVD drive. I have found a method to ensure it is available on boot that is opening it and inserting a CD or DVD before or during the "failed to set xfermode (err_mask=0x4)" messages.

To recap: the VT settings in BIOS were irrelevant, misdiagnosed due to me playing with the drive on boot and by chance setting VT disabled while I threw in a CD at boot.
Comment 3 Tait Clarridge 2009-09-10 10:13:01 EDT
Alright. Well after about 8 months I can say that the newest kernel update has resolved my issue.

[10:06 AM] xxxx @ xxxx [~] $  uname -a

Linux xxxx 2.6.30.5-43.fc11.x86_64 #1 SMP Thu Aug 27 21:39:52 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

I still however get some burn errors on all speeds. This is unimportant though.
Comment 4 Bug Zapper 2009-11-18 03:58:25 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:57:04 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.